#version 450

// Inputs
layout(location = 0) in vec2 inPosition;
layout(location = 1) in vec3 inColor;

// Outputs
layout(location = 0) out vec3 fragColor;

// Uniforms
layout(binding = 0) uniform MVPMatrixUniformBufferObject {
    mat4 mvp;
} mvpUBO;

void main() {
    fragColor = inColor;
    gl_Position = mvpUBO.mvp * vec4(inPosition, 0.0, 1.0);
}
