// ShaderModule class header
#pragma once

#include "Resource.h"

namespace nf::client::render {
    class ShaderModule : Resource {
    public:
        ShaderModule(const VkDevice& device, const std::string& shaderBinary);

        VkShaderModule& getHandle();

        ~ShaderModule();
    private:
        VkShaderModule m_shaderModule;
    };
}
